imports:
    - { resource: config.yml }
    - { resource: parameters_of.yml }
    - { resource: security.yml }

framework:
    router:
        resource: "%kernel.root_dir%/config/routing_dev_static.yml"
        strict_requirements: true
    profiler: { only_exceptions: false }

web_profiler:
    toolbar: true
    intercept_redirects: false

monolog:
    handlers:
        main:
            type:   stream
            path:   "%kernel.logs_dir%/%kernel.environment%.log"
            level:  debug
            formatter: monolog.formatter.track_id
        console:
            type:   console
            bubble: false

doctrine:
    dbal:
        connections:
            Backend:
                unix_socket:  /Applications/MAMP/tmp/mysql/mysql.sock
            ServiceProvider:
                unix_socket:  /Applications/MAMP/tmp/mysql/mysql.sock
            Webservice:
                unix_socket:  /Applications/MAMP/tmp/mysql/mysql.sock

life_style_tools_rest_auth:
    service_url: 'http://sso-idp.loc/service/'

sso_rest:
    user_identifier:
        base_url: 'http://sso-idp.loc'
        action:  '/service/'
    user_webservice:
        base_url: 'http://sso-ws.loc'
    object_webservice:
        base_url: 'http://sso-object-ws.loc'
